% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reg-helper.R
\name{ps_tb}
\alias{ps_tb}
\title{Helper function to find \code{tb} from the Phillips and Shi (2020)}
\usage{
ps_tb(n, freq = c("monthly", "quarterly", "annual", "weekly"), size = 2)
}
\arguments{
\item{n}{A positive integer. The sample size.}

\item{freq}{The type of date-interval.}

\item{size}{The size to be controlled.}
}
\description{
This function helps to find the number of observations in the window
over which size is to be controlled.
}
\references{
Phillips, P. C., & Shi, S. (2020). Real time monitoring of
asset markets: Bubbles and crises. In Handbook of Statistics (Vol. 42, pp. 61-80). Elsevier.

Shi, S., Hurn, S., Phillips, P.C.B., 2018. Causal change detection in possibly
integrated systems: Revisiting the money-income relationship.
}
