% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/series_names.R
\name{series_names}
\alias{series_names}
\alias{series_names<-}
\alias{series_names<-.radf_obj}
\alias{series_names<-.wb_cv}
\alias{series_names<-.sb_cv}
\title{Retrieve/Replace series names}
\usage{
series_names(x, ...)

series_names(x) <- value

\method{series_names}{radf_obj}(x) <- value

\method{series_names}{wb_cv}(x) <- value

\method{series_names}{sb_cv}(x) <- value
}
\arguments{
\item{x}{An object.}

\item{...}{Further arguments passed to methods.}

\item{value}{n ordered vector of the same length as the "index" attribute of x.}
}
\description{
Retrieve or replace the series names of an object.
}
\examples{

# Simulate bubble processes
dta <- data.frame(psy1 = sim_psy1(n = 100), psy2 = sim_psy2(n = 100))

rfd <- radf(dta)

series_names(rfd) <- c("OneBubble", "TwoBubbles")

}
