% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/radf-tidiers.R
\name{tidy_join.radf_obj}
\alias{tidy_join.radf_obj}
\alias{augment_join.radf_obj}
\title{Tidy into a joint model}
\usage{
\method{tidy_join}{radf_obj}(x, y = NULL, ...)

\method{augment_join}{radf_obj}(x, y = NULL, trunc = TRUE, ...)
}
\arguments{
\item{x}{An object of class \code{radf_obj}.}

\item{y}{An object of class \code{radf_cv}. The output will depend on the type of
critical value.}

\item{...}{Further arguments passed to methods. Not used.}

\item{trunc}{Whether to remove the period of the minimum window from the plot (default = TRUE).}
}
\description{
Tidy or augment  and then join objects of class \code{radf_obj} and \code{radf_cv}. The
object of reference is the \code{radf_cv}. For example, if panel critical values
are provided the function will return the panel test statistic.
}
\details{
\code{tidy_join} also calls \code{augment_join} when \code{cv} is of class \code{sb_cv}.
}
